
PENGADIAN EMAS - Bug #19753

[iOS and Android][SIT][Cetak Emas] Incorrect data sequence and data displayed in Invoice detail

Screen

13 February 2024 04:56 PM - Aziz Husein

Status: Assigned Start date: 13 February 2024

Priority: Normal Due date:  

Assignee: Aziz Husein % Done: 100%

Category:  Estimated time: 1.00 hour

Target version:  Spent time: 1.00 hour

Description

Incorrect data sequence and data displayed in Invoice detail Screen

User: uatemas129

Step

Login

Navigate to input Cetak Emas detail

Choose correct amount

Select outlet

Navigate to SOF fund

Choose SOF

Navigate to TnC screen

Checklist

Continue to confirmation screen

Enter TAC

Success transaction

Share invoice

Expected data and sequence:

Transaction Date

01/05/2020  12:00:02

Reference Number

1234566

Source of Account

12345678

Product

Pegadaian Gold

Product Provider

Pegadaian

Pegadaian Account No.

123346689

Gold Weight

1.0 gram

Gold Printing Fee

IDR 120.000.00

Total Paid

IDR 120.000.00

Gold Brand

ANTAM

Pick Up Outlet
UPC GANG LONTAR

Jalan Lontar Bawah 123, Kebon Melati, Tanah Abang, Jakarta Pusat, DKI, Jakarta 2335

021 12345678

History

#1 - 13 February 2024 04:56 PM - Aziz Husein

- File WhatsApp Image 2024-02-13 at 15.52.01_94ef1879.jpg added

- Assignee set to Yonathan Yonathan

#2 - 15 February 2024 10:38 AM - Yonathan Yonathan

- Status changed from New to Resolved

- Assignee changed from Yonathan Yonathan to Aziz Husein

- % Done changed from 0 to 100

- Estimated time set to 1.00

Fix the response to this

{

  "responseCode": "00",

  "responseMessage": "ok",

  "responseData": {

    "sections": [

      {

        "header": "Tanggal Transaksi",

        "body": [

          "13/02/2024 15:37:20"

        ]

      },

      {

        "header": "Nomor Referensi",

        "body": [

          "3311214315"

        ]

      },

      {

        "header": "Rekening Asal",

        "body": [

          "8701902055"

        ]

      },

      {

        "header": "Produk",

        "body": [

          "Emas Pegadaian"

        ]

      },

      {

        "header": "Penyedia Produk",

        "body": [

          "Pegadaian"

        ]

      },

      {

        "header": "Nomor Akun Pegadaian",

        "body": [

          "1283521620002148"

        ]

      },

      {

        "header": "Berat Emas",

        "body": [

          "1.0"

        ]

      },

      {

        "header": "Biaya Cetak Emas",

        "body": [
          "120000.0"

        ]

      },

      {

        "header": "Jumlah Didebit",

        "body": [

          "120000.0"

        ]

      },

      {

        "header": "Perusahaan Pencetak Emas",

        "body": [

          "ANTAM1"

        ]

      },

      {

        "header": "Outlet Pengambilan",

        "body": [

          "UPC Kebayoran Baru",

          "JALAN SENEN RAYA NO.36",

          ""

        ]

      }

    ]

  }

}

#3 - 22 February 2024 10:03 AM - Aziz Husein

- File WhatsApp Image 2024-02-22 at 09.00.52_a2cc2182.jpg added

- File WhatsApp Image 2024-02-22 at 09.00.00_00b2e7d2.jpg added

- Status changed from Resolved to Assigned

- Assignee changed from Aziz Husein to Wei Sheng Teo

Empty transaction type information, screenshot as attached

#4 - 22 February 2024 10:06 AM - Aziz Husein

- Assignee changed from Wei Sheng Teo to salim wijaya

#5 - 22 February 2024 11:31 AM - salim wijaya

- Assignee changed from salim wijaya to Aziz Husein
Files

WhatsApp Image 2024-02-13 at 15.52.01_94ef1879.jpg 39.9 KB 13 February 2024 Aziz Husein

WhatsApp Image 2024-02-22 at 09.00.52_a2cc2182.jpg 42.3 KB 22 February 2024 Aziz Husein

WhatsApp Image 2024-02-22 at 09.00.00_00b2e7d2.jpg 48.7 KB 22 February 2024 Aziz Husein
